salesforce.cdp.hyperdb.v1

## Enum QueryParam.TransferMode

- java.lang.Object
- - java.lang.Enum<QueryParam.TransferMode>
  - - salesforce.cdp.hyperdb.v1.QueryParam.TransferMode

All Implemented Interfaces:
  com.google.protobuf.Internal.EnumLite, com.google.protobuf.ProtocolMessageEnum, Serializable, Comparable<QueryParam.TransferMode>

Enclosing class:
  QueryParam

    public static enum QueryParam.TransferMode
    extends Enum<QueryParam.TransferMode>
    implements com.google.protobuf.ProtocolMessageEnum

Protobuf enum `salesforce.hyperdb.grpc.v1.QueryParam.TransferMode`

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`ADAPTIVE` `ADAPTIVE = 3;`
`ASYNC` `ASYNC = 1;`
`SYNC` `SYNC = 2;`
`TRANSFER_MODE_UNSPECIFIED` `TRANSFER_MODE_UNSPECIFIED = 0;`
`UNRECOGNIZED`

### Field Summary

Fields
`static int` `ADAPTIVE_VALUE` `ADAPTIVE = 3;`
`static int` `ASYNC_VALUE` `ASYNC = 1;`
`static int` `SYNC_VALUE` `SYNC = 2;`
`static int` `TRANSFER_MODE_UNSPECIFIED_VALUE` `TRANSFER_MODE_UNSPECIFIED = 0;`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods Deprecated Methods
`static QueryParam.TransferMode` `forNumber(int value)`
`static com.google.protobuf.Descriptors.EnumDescriptor` `getDescriptor()`
`com.google.protobuf.Descriptors.EnumDescriptor` `getDescriptorForType()`
`int` `getNumber()`
`com.google.protobuf.Descriptors.EnumValueDescriptor` `getValueDescriptor()`
`static com.google.protobuf.Internal.EnumLiteMap<QueryParam.TransferMode>` `internalGetValueMap()`
`static QueryParam.TransferMode` `valueOf(com.google.protobuf.Descriptors.EnumValueDescriptor desc)`
`static QueryParam.TransferMode` `valueOf(int value)` Deprecated. Use `forNumber(int)` instead.
`static QueryParam.TransferMode` `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static QueryParam.TransferMode[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### TRANSFER_MODE_UNSPECIFIED

    public static final QueryParam.TransferMode TRANSFER_MODE_UNSPECIFIED

`TRANSFER_MODE_UNSPECIFIED = 0;`

#### ADAPTIVE

    public static final QueryParam.TransferMode ADAPTIVE

`ADAPTIVE = 3;`

#### ASYNC

    public static final QueryParam.TransferMode ASYNC

`ASYNC = 1;`

#### SYNC

    public static final QueryParam.TransferMode SYNC

`SYNC = 2;`

#### UNRECOGNIZED

    public static final QueryParam.TransferMode UNRECOGNIZED

### Field Detail

#### TRANSFER_MODE_UNSPECIFIED_VALUE

    public static final int TRANSFER_MODE_UNSPECIFIED_VALUE

`TRANSFER_MODE_UNSPECIFIED = 0;`

See Also:
  Constant Field Values

#### ADAPTIVE_VALUE

    public static final int ADAPTIVE_VALUE

`ADAPTIVE = 3;`

See Also:
  Constant Field Values

#### ASYNC_VALUE

    public static final int ASYNC_VALUE

`ASYNC = 1;`

See Also:
  Constant Field Values

#### SYNC_VALUE

    public static final int SYNC_VALUE

`SYNC = 2;`

See Also:
  Constant Field Values

### Method Detail

#### values

    public static QueryParam.TransferMode[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (QueryParam.TransferMode c : QueryParam.TransferMode.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static QueryParam.TransferMode valueOf(String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null

#### getNumber

    public final int getNumber()

Specified by:
  `getNumber` in interface `com.google.protobuf.Internal.EnumLite`
Specified by:
  `getNumber` in interface `com.google.protobuf.ProtocolMessageEnum`

#### valueOf

    @Deprecated
    public static QueryParam.TransferMode valueOf(int value)

Deprecated. Use `forNumber(int)` instead.

Parameters:
  `value` - The numeric wire value of the corresponding enum entry.
Returns:
  The enum associated with the given numeric wire value.

#### forNumber

    public static QueryParam.TransferMode forNumber(int value)

Parameters:
  `value` - The numeric wire value of the corresponding enum entry.
Returns:
  The enum associated with the given numeric wire value.

#### internalGetValueMap

    public static com.google.protobuf.Internal.EnumLiteMap<QueryParam.TransferMode> internalGetValueMap()

#### getValueDescriptor

    public final com.google.protobuf.Descriptors.EnumValueDescriptor getValueDescriptor()

Specified by:
  `getValueDescriptor` in interface `com.google.protobuf.ProtocolMessageEnum`

#### getDescriptorForType

    public final com.google.protobuf.Descriptors.EnumDescriptor getDescriptorForType()

Specified by:
  `getDescriptorForType` in interface `com.google.protobuf.ProtocolMessageEnum`

#### getDescriptor

    public static final com.google.protobuf.Descriptors.EnumDescriptor getDescriptor()

#### valueOf

    public static QueryParam.TransferMode valueOf(com.google.protobuf.Descriptors.EnumValueDescriptor desc)